Tags

Tag conversation

PUT
/v1/conversations/{conversationId}/tags/{tagId}

Tag a conversation. You may only use active tags to tag conversations.

Authorization

ApiKeyAuth conversation.tag
headerAuthorization<token>

Scope: conversation.tag

Path Parameters

conversationId*integer
Formatint64
tagId*string
Formatuuid

Response Body

The conversation was successfully tagged

Example Request
curl -X PUT 'https://dev.dixa.io/v1/conversations/{conversationId}/tags/{tagId}' \  -H 'Authorization: <API token>'

Empty

Untag conversation

DELETE
/v1/conversations/{conversationId}/tags/{tagId}

Untag a conversation. You may remove active or inactive tags from a conversation.

Authorization

ApiKeyAuth conversation.tag
headerAuthorization<token>

Scope: conversation.tag

Path Parameters

conversationId*integer
Formatint64
tagId*string
Formatuuid

Response Body

The conversation was successfully untagged

Example Request
curl -X DELETE 'https://dev.dixa.io/v1/conversations/{conversationId}/tags/{tagId}' \  -H 'Authorization: <API token>'

Empty

Bulk tag conversation

POST
/v1/conversations/{conversationId}/tags/bulk

Initiate bulk tag of a conversation and process it asynchronously. If a tag with corresponding name does not exist it will be created.

Authorization

ApiKeyAuth conversation.tag
headerAuthorization<token>

Scope: conversation.tag

Path Parameters

conversationId*integer
Formatint64

Request Body

The list of tags to add to a conversation

application/json
  1. body
data?array<>

Response Body

The conversation bulk tag was initiated

Example Request
curl -X POST 'https://dev.dixa.io/v1/conversations/{conversationId}/tags/bulk' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "data": [    {      "name": "Example #1"    },    {      "name": "Example #2"    }  ]}'

Empty

List tags

GET
/v1/conversations/{conversationId}/tags

Get the tags for a particular conversation by providing the conversation id.

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

conversationId*integer
Formatint64

Response Body

List of tags for a conversation

application/json
  1. response
data?array<>
Example Request
curl -X GET 'https://dev.dixa.io/v1/conversations/{conversationId}/tags' \  -H 'Authorization: <API token>'
{
"data": [
{
"id": "b794a74a-625b-4303-8237-9b11668a9605",
"name": "example",
"state": "Active"
},
{
"id": "b794a74a-625b-4303-8237-9b11668a9605",
"name": "example",
"state": "Active"
},
{
"id": "b794a74a-625b-4303-8237-9b11668a9605",
"name": "example",
"state": "Active"
},
{
"id": "b794a74a-625b-4303-8237-9b11668a9605",
"name": "example",
"state": "Active"
}
]
}

List tags

GET
/v1/tags

List all tags in an organization. Only active tags are returned by default. To include deactivated tags use ?includeDeactivated=true.

Authorization

ApiKeyAuth
headerAuthorization<token>

Query Parameters

includeDeactivated?boolean

Whether to include deactivated tags in the response. If not provided, only active tags are listed.

Defaultfalse

Response Body

The list of all tags in an organization

application/json
  1. response
data?array<>
Example Request
curl -X GET 'https://dev.dixa.io/v1/tags' \  -H 'Authorization: <API token>'
{
"data": [
{
"id": "b794a74a-625b-4303-8237-9b11668a9605",
"name": "example",
"state": "Active"
},
{
"id": "b794a74a-625b-4303-8237-9b11668a9605",
"name": "example",
"state": "Active"
},
{
"id": "b794a74a-625b-4303-8237-9b11668a9605",
"name": "example",
"state": "Active"
},
{
"id": "b794a74a-625b-4303-8237-9b11668a9605",
"name": "example",
"state": "Active"
},
{
"id": "b794a74a-625b-4303-8237-9b11668a9605",
"name": "example",
"state": "Active"
}
]
}

Create tag

POST
/v1/tags

Create a tag.

Authorization

ApiKeyAuth settings.tag
headerAuthorization<token>

Scope: settings.tag

Request Body

The tag details

application/json
  1. body
name*string
color?string

Response Body

The created tag or an existing tag with the same name. Note that the tag is not updated to match the input in case it already exists.

application/json
  1. response
data*
Example Request
curl -X POST 'https://dev.dixa.io/v1/tags' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "name": "test",  "color": "#000000"}'
{
"data": {
"id": "b794a74a-625b-4303-8237-9b11668a9605",
"name": "example",
"state": "Active"
}
}

Get tag

GET
/v1/tags/{tagId}

Get a tag by id.

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

tagId*string
Formatuuid

Response Body

The tag

application/json
  1. response
data*
Example Request
curl -X GET 'https://dev.dixa.io/v1/tags/{tagId}' \  -H 'Authorization: <API token>'
{
"data": {
"id": "b794a74a-625b-4303-8237-9b11668a9605",
"name": "example",
"state": "Active"
}
}

Delete tag

DELETE
/v1/tags/{tagId}

Deletes the tag and all its associations. Note that this operation is irreversible.

Authorization

ApiKeyAuth settings.tag
headerAuthorization<token>

Scope: settings.tag

Path Parameters

tagId*string

The tag id

Formatuuid

Response Body

The tag was successfully deleted

Example Request
curl -X DELETE 'https://dev.dixa.io/v1/tags/{tagId}' \  -H 'Authorization: <API token>'

Empty

Deactivate tag

PATCH
/v1/tags/{tagId}/deactivate

Deactivate a tag.

Authorization

ApiKeyAuth settings.tag
headerAuthorization<token>

Scope: settings.tag

Path Parameters

tagId*string

The tag id

Formatuuid

Response Body

The tag was successfully deactivated

Example Request
curl -X PATCH 'https://dev.dixa.io/v1/tags/{tagId}/deactivate' \  -H 'Authorization: <API token>'

Empty

Activate tag

PATCH
/v1/tags/{tagId}/activate

Activate a tag.

Authorization

ApiKeyAuth settings.tag
headerAuthorization<token>

Scope: settings.tag

Path Parameters

tagId*string

The tag id

Formatuuid

Response Body

The tag was successfully activated

Example Request
curl -X PATCH 'https://dev.dixa.io/v1/tags/{tagId}/activate' \  -H 'Authorization: <API token>'

Empty